Package org.eclipse.net4j.util.ui.chat

# Class ChatMessage.Author.Builder

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatMessage.Author.Builder

Enclosing class:
  `ChatMessage.Author`

public static final class ChatMessage.Author.Builder extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Builder(String userID)`

## Method Summary

Modifier and Type
Method
Description
`ChatMessage.Author.Builder`
`avatar(File avatar)`
`ChatMessage.Author.Builder`
`avatar(URI avatar)`
`ChatMessage.Author`
`build()`
`ChatMessage.Author.Builder`
`firstName(String firstName)`
`ChatMessage.Author.Builder`
`fullName(String fullName)`
`ChatMessage.Author.Builder`
`gravatar(String email)`
`ChatMessage.Author.Builder`
`initials(String initials)`
`ChatMessage.Author.Builder`
`lastName(String lastName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder(String userID)

## Method Details

### firstName

public ChatMessage.Author.Builder firstName(String firstName)

### lastName

public ChatMessage.Author.Builder lastName(String lastName)

### fullName

public ChatMessage.Author.Builder fullName(String fullName)

Since:
  3.20

### initials

public ChatMessage.Author.Builder initials(String initials)

Since:
  3.20

### avatar

public ChatMessage.Author.Builder avatar(URI avatar)

### avatar

public ChatMessage.Author.Builder avatar(File avatar)

### gravatar

public ChatMessage.Author.Builder gravatar(String email)

### build

public ChatMessage.Author build()